Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/3051/?format=api
{ "ob_id": 3051, "uuid": "37754520d4a246e9a24e7968964c5856", "title": "COPS: vertical profiles from the University of Leeds radiosonde launched from Archern, Germany.", "abstract": "The University of Leeds radiosonde data contain measurements collected by a radiosonde at Archern and Hornisgrinde, Germany from the 19th of April 2007 to the 30th of August 2007. The dataset contains measurements of air temperature, air pressure, wind speed and wind direction, and relative humidity.\r\n\r\nThe dataset contains the following measurements:\r\nScaled logarithmic pressure (4096 * ln P)\r\nAir temperature (K\r\nRelative humidity (percent)\r\nNorthward wind (m s-1)\r\nEastward_wind (m s-1)\r\nAltitude (m)\r\nAir pressure (hPa)\r\nDew point temperature (K)\r\nHumidity mixing ratio (g/kg)\r\nWind from direction (degree)\r\nWind speed (m s-1)\r\nSonde azimuth (degree)\r\nSonde distance (m)\r\nLongitude (degree_east)\r\nLatitude (degree_north)\r\n", "keywords": "COPS, Radiosonde, Air temperature, Air pressure, Wind speed, Wind direction, Relative humidity", "publicationState": "published", "dataPublishedTime": "2007-08-23T11:10:41", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/3052/?format=api", "dataPath": "/badc/cops/data/leeds-radiosonde", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 205087072, "numberOfFiles": 397, "fileFormat": "The data are binary or & (ASCII) formatted\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/819/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/55/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected by the Facility for Airborne Atmospheric Measurements (FAAM) aircraft and the deployment of a number of the UK Universities' Facility for Atmospheric Measurement (UFAM) mobile instruments in summer 2007.\r\nData were then prepared by project participants and then submitted to BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2096/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/3036/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3033/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13707/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13709/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13710/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13711/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41759/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41762/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13713/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13708/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41760/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75350/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41761/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/3055/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }